Summary: SAR and IOSTAT for Linux
Name: sysstat
Version: 4.0.0
Release: 8tr
License: GPL
Group: System/Monitoring
Source0: sysstat-%{version}.tar.gz
Source1: sysstat.init
Patch0: sysstat-4.0.0.diff
Patch1: sysstat-4.0.0-man.patch
Patch2: sysstat-4.0.0-chkconfig.patch
BuildRoot: /var/tmp/sysstat-%{version}-root
PreReq: tsl-utils

%description
SAR and IOSTAT for Linux

%prep 
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make 

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 0755 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/sysstat

%post
# Restart service after upgrade
/sbin/chkconfig --add sysstat
/sbin/restart_maybe sysstat

%preun
if [ $1 = 0 ]; then
/sbin/chkconfig --del sysstat
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/init.d/sysstat
/usr/lib/sa/sadc
/usr/lib/sa/sa1
/usr/lib/sa/sa2
/usr/bin/iostat
/usr/bin/sar
/usr/bin/mpstat
/var/log/sa
/usr/share/locale/fr/LC_MESSAGES/sysstat.mo
/usr/share/locale/de/LC_MESSAGES/sysstat.mo
/usr/share/locale/es/LC_MESSAGES/sysstat.mo
/usr/share/locale/pt/LC_MESSAGES/sysstat.mo

/usr/share/man/man1/mpstat.1*
/usr/share/man/man1/iostat.1*
/usr/share/man/man1/sar.1*
/usr/share/man/man8/sadc.8*
/usr/share/man/man8/sa1.8*
/usr/share/man/man8/sa2.8*

%changelog
* Mon Mar 15 2004 Oystein Viggen <oysteivi at trustix dot com> 4.0.0-8tr
- Remove isag from distribution, as it requires software we don't have

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.0-7tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.0-6tr
- Big rebuild

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 4.0.0-5gd
- Added PreReq on tsl-utils

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.0-4em
- Rebuilt against glibc 2.3.2.

* Thu Feb 27 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.0-3em
- Make setup quiet.

* Thu Oct  3 2002 Christian H. Toldnes <christht at trustix dot com> 4.0.0-2ct
- Moved initscript to /etc/init.d to follow devel policy.

* Tue Jun 12 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 4.0.0
- Include init script

* Wed Mar  6 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 3.3.5

* Wed Sep 13 2000 Per Ivar Paulsen <perp at trustix dot com>
- Update to 3.2.4

* Wed Mar 15 2000 Oystein Viggen <oysteivi at trustix dot com>
- Fix some building troubles
- Some general cleanups

* Mon Feb 28 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated for Trustix
- Moved man pages to FHS
- Original package by:
- Klaus Franken / SBS IP 21 F <Klaus.Franken@fth2.siemens.de>
